---
# tasks file for agnox.ldap restore-backup

- name: ldap service
  service: name=slapd state=stopped

- name: copy ldap config ldif for restore 
  get_url: url={{ ldap_restore_backup_config_ldif }} dest={{ remote_tmp }}/ldap_restore_backup_config.ldif
- name: remove exisiting config
  file: path="/etc/openldap/slapd.d/cn=config/" state=absent
- name: restore ldap config
  shell: slapadd -c -n 0 -l {{ remote_tmp }}/ldap_restore_backup_config.ldif
  register: slapadd_config
  failed_when: slapadd_config.rc != 0 and slapadd_config.rc != 1
- name: chown new config
  shell: chown -R ldap:ldap /etc/openldap/slapd.d/

- name: copy ldap domain ldif for restore 
  get_url: url={{ ldap_restore_backup_domain_ldif }} dest={{ remote_tmp }}/ldap_restore_backup_domain.ldif
- name: remove exisiting domain
  file: path="/var/lib/ldap/*" state=absent
- name: restore ldap domain
  shell: slapadd -c -n 2 -l {{ remote_tmp }}/ldap_restore_backup_domain.ldif
  register: slapadd_domain
#  failed_when: slapadd_domain.rc != 0 and slapadd_domain.rc != 1
- name: chown new domain
  shell: chown -R ldap:ldap /var/lib/ldap/

- name: ldap service
  service: name=slapd state=started

## backup
#slapcat -n 0 > \$BACKUP_ROOT_PATH/\$HOST_FROM/\$BACKUP_NAME/config.ldif
##slapcat -n 1 > \$BACKUP_ROOT_PATH/\$HOST_FROM/\$BACKUP_NAME/users.ldif
#slapcat > \$BACKUP_ROOT_PATH/\$HOST_FROM/\$BACKUP_NAME/domains.ldif
